Skip to main content
GET
/
api
/
analytics
/
decline
Get decline analytics for a user
curl --request GET \
  --url https://app.herondata.io/api/analytics/decline \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.herondata.io/api/analytics/decline"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.herondata.io/api/analytics/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "check_analytics": [
    {
      "check_name": "<string>",
      "total_failed": 123,
      "total_missing_data": 123,
      "total_passed": 123
    }
  ],
  "total_declined": 123,
  "total_end_users": 123
}

Authorizations

x-api-key
string
header
required

Query Parameters

start_date
string<date-time>
required

Start of the date range (filters by end_user created date)

end_date
string<date-time>
required

End of the date range (filters by end_user created date)

Response

Decline analytics retrieved successfully

check_analytics
object[]
total_declined
integer

Number of end users with at least one failed check

total_end_users
integer

Total number of end users with policy evaluations